Bug 839113

Summary: Schema.org integration for Google and Bing goodness
Product: [Other] Topic Tool Reporter: Joshua Wulf <jwulf>
Component: FUDCon Docs HackAssignee: lcarlon <lcarlon>
Status: CLOSED WONTFIX QA Contact: lcarlon <lcarlon>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: lcarlon, r.landmann, topic-tool-list
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=836838
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-19 21:49:23 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 697367, 832597, 839115, 839128    
Bug Blocks:    

Description Joshua Wulf 2012-07-10 21:41:55 EDT
This vocabulary: http://blog.schema.org/2012/06/newvocabularies-for-technical.html

To get this to work, we need a few things:

1. Docbook 5 building
  - Currently publican 3 hardcodes the Docbook 5 namespace in builder.pm or publican.pm. This needs to be modified to use the namespace specified in the xml.

2. Docbook 5 customisation layer
  - This customisation layer adds support for RDF 1.1a lite: https://gist.github.com/2768701
  - We may need to add xsl support for it. Check with Bob DuCharme's article: http://www.devx.com/semantic/Article/42543

3. Populating the attributes of the topic xml with the "right" metadata from Skynet
  - Probably requires metadata about the metadata (hey, this thing should be injected into the XML as this attribute)
Comment 1 Joshua Wulf 2012-07-10 22:03:07 EDT
What this gets us is the ability for Google, Yahoo, and Bing (which is how I at least find documentation - and I work here!) to more intelligently index our material for end-user discovery.

The technical article vocabulary is used to describe technical documentation for machines.

Documentation marked up in this way can also be scanned by a crawler, and reassembled dynamically (which is effectively what using Google as your index to the web is doing anyway).
Comment 2 Joshua Wulf 2013-02-06 21:51:22 EST
Here's Norm's customization, mentioned in comment #1, in case it goes missing from github:

rdflite.rnc

# This file IS NOT part of DocBook V5.0
#
# ======================================================================
 
namespace rng  = "http://relaxng.org/ns/structure/1.0"
namespace s = "http://purl.oclc.org/dsdl/schematron"
namespace db = "http://docbook.org/ns/docbook"
default namespace = "http://docbook.org/ns/docbook"
 
include "../../schemas/docbook/docbook.rnc" {
 
   rdfalite.vocab =
      [
         db:refpurpose [ "The RDFa Lite vocab" ]
      ]
      attribute vocab { xsd:anyURI }
 
   rdfalite.typeof =
      [
         db:refpurpose [ "The RDFa Lite typeof" ]
      ]
      attribute typeof { text }
 
   rdfalite.property =
      [
         db:refpurpose [ "The RDFa Lite property" ]
      ]
      attribute property { text }
 
   rdfalite.resource =
      [
         db:refpurpose [ "The RDFa Lite resource" ]
      ]
      attribute resource { text }
 
   rdfalite.prefix =
      [
         db:refpurpose [ "The RDFa Lite prefix" ]
      ]
      attribute prefix { text }
 
   rdfalite.attributes =
      rdfalite.vocab?
    & rdfalite.typeof?
    & rdfalite.property?
    & rdfalite.resource?
    & rdfalite.prefix?
 
   db.common.base.attributes &= rdfalite.attributes
}
Comment 3 Joshua Wulf 2013-04-22 10:53:41 EDT
https://lists.oasis-open.org/archives/docbook-tc/201304/msg00003.html

  New RFEs

     3608790   Microdata or RDFa 1.1 Lite support for schema.org

The TC would like more specifics on this proposal.

ACTION: Jirak to prepare a proposal to support RFDa.

  http://sf.net/support/tracker.php?aid=3608790
Comment 4 Joshua Wulf 2014-07-07 11:06:38 EDT
On 2014-05-21,Norm Walsh wrote: 

We added RDFa Lite to 5.1


http://sourceforge.net/p/docbook/rfes/302/#4c21